<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="nt-custom-column">
    <draggable
      class="attribute--list nt-scroll-primary"
      v-model="mutableList"
      @start="drag = true"
      @end="drag = false"
      @change="onGroupsChange"
    >
      <template v-for="element in mutableList">
        <div
          :key="element.sort_order"
          :class="{'attribute--item-disabled' : element.default === 1 }"
          class="attribute--item"
          v-if="element.is_hidden === 0 && element.attribute_code !=='guid'"
        >
          <div class="attribute--item__left">
            <div class="item--left--child">
              <label class="nt-checkbox nt-checkbox-primary nt-checkbox-disabled">
                <input
                  value
                  type="checkbox"
                  :checked="element.is_show === 1 || element.default === 1 "
                  @click="changeStatusDisplayAttribute($event, element)"
                />
                <span class="nt-checkbox-symbol"></span>
              </label>
            </div>
          </div>
          <div class="attribute--item__right">
            <div class="attribute--item__right-icon">
              <i class="icon icon-scroll" aria-hidden="true"></i>
            </div>
            <div class="attribute--item__right-name">
              <div class="item-name">{{ element.attribute_name | truncateWords }}</div>
            </div>
          </div>
        </div>
      </template>
    </draggable>
  </div>
</template>
